package pl.edu.pwr.tkubik.simplejpa.model;

import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "address")
public class Address {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private Integer id;
    private String streetAddress;
    private String city;
    private String zipCode;
    
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getStreetAddress() {
		return streetAddress;
	}
	public void setStreetAddress(String streetAddress) {
		this.streetAddress = streetAddress;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
 
	Address withId(final Integer id) {
		this.id = id;
		return this;
	}
	 
	public Address withStreetAddress(final String streetAddress) {
		this.streetAddress = streetAddress;
		return this;
	}
	public Address withCity(final String city) {
		this.city = city;
		return this;
	}	
	public Address withState(final String state) {
		this.streetAddress = state;
		return this;
	}
	public Address withZipCode(final String zipCode) {
		this.zipCode = zipCode;
		return this;
	}

}