package pl.edu.pwr.tkubik.simplejpa.model;

import java.util.ArrayList;
import java.util.List;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.OneToMany;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;

@Entity
@Table(name = "owner")
public class Owner {

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private int id;
	private String name;

	@Column(name = "phone_no")
	private String phoneNumber;

	// The @JoinColumn annotation combined with a @OneToOne mapping
	// indicates that a given column in the owner entity refers to
	// a primary key in the reference entity
	@JoinColumn(name = "address_id")
	@OneToOne
	Address address;

	// When using a @OneToMany mapping we can use the mappedBy parameter
	// to indicate that the given column is owned by another entity.
//	@OneToMany(fetch = FetchType.LAZY, mappedBy = "owner")
	@OneToMany(mappedBy = "owner")
	List<Pet> pets;

	public Owner() {
		this.pets = new ArrayList<Pet>();
		this.id = 0;
		this.name = "";
		this.phoneNumber = "";
		address = new Address();
	}

	public Owner(Integer id, String name, String phoneNumber, Address address) {
		super();
		this.id = 0;
		this.name = name;
		this.phoneNumber = phoneNumber;
		this.address = address;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Override
	public String toString() {
       return "Owner name: " + this.name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public List<Pet> getPets() {
		return pets;
	}

	public void setPets(List<Pet> pets) {
		this.pets = pets;
	}

	
}