package pl.edu.pwr.tkubik.simplejpa.model;

import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Entity
@Table(name = "pet")
public class Pet {
	@Id   
	@GeneratedValue(strategy=GenerationType.AUTO)
	private Integer licenseNumber;

    
	private String name;
	private PetType type;
	
//	@ManyToOne(fetch = FetchType.LAZY)
	@ManyToOne
	@JoinColumn(name = "owner_id")
	private Owner owner;

	
    protected Pet() {
    	this.licenseNumber =  null;
    	this.name = null;
        this.type = null;
        this.owner = null;
    }

    public Pet(String name, PetType type, Owner owner) {
        this.name = name;
        this.type = type;
        this.owner = owner;
    }

    @Override
    public String toString() {
        return String.format(
                "Pet[id=%d, name='%s', type='%s', owner='%s']",
                licenseNumber, name, type, owner.toString());
    }

	public Integer getLicenseNumber() {
		return licenseNumber;
	}

	public void setLicenseNumber(Integer licenseNumber) {
		this.licenseNumber = licenseNumber;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public PetType getType() {
		return type;
	}

	public void setType(PetType type) {
		this.type = type;
	}

	public Owner getOwner() {
		return owner;
	}

	public void setOwner(Owner owner) {
		this.owner = owner;
	}
}