package pl.edu.pwr.tkubik.simplejpa.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pl.edu.pwr.tkubik.simplejpa.model.Pet;
import pl.edu.pwr.tkubik.simplejpa.repository.PetRepository;

import java.util.List;

@Service
public class PetServiceImpl implements PetService{
    private final PetRepository petRepository;

    @Autowired
    public PetServiceImpl(PetRepository petRepository) {
        this.petRepository = petRepository;
    }

    @Override
    public List<Pet> findPetByName(String name) {
        return petRepository.findByName(name);
    }

    @Override
    public Pet addPet(Pet pet) {
        return petRepository.save(pet);
    }

    @Override
    public List<Pet> findAllPets() {
        return petRepository.findAll();
    }
}
